%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Name:		PyMca
Version:	4.3.0
Release:	4%{?dist}
Summary:	GUI for multi-channel analyser spectra visualization and analysis
Group:		Applications/Engineering
License:	GPLv2+
URL:		http://pymca.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/pymca/pymca%{version}-src.tgz
# Desktop file
Source1:	PyMca.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-setuptools

# Needed for normal operations
BuildRequires:	numpy
BuildRequires:	PyQt4
BuildRequires:	PyQwt
Requires:	numpy
Requires:	PyQt4
Requires:	PyQwt

%description
PyMCA provides a graphical interface for multi-channel analyser spectra
visualization and analysis. PyMca can display spectra from a file or directly
from SPEC during acquisitions.

%prep
%setup -q -n %{name}%{version}
# Fix perms
chmod 644 LICENSE.GPL README
find -name *.c -exec chmod 644 {} \;
find -name *.h -exec chmod 644 {} \;

%build
# setup.py asks for license approval
echo yes | python setup.py build 

%install
rm -rf %{buildroot}
# setup.py asks for license approval
echo yes | python setup.py install -O1 --skip-build --root %{buildroot}

# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Get rid of buildroot in files in %{_bindir}
for bin in %{buildroot}%{_bindir}/*; do
 sed 's|%{buildroot}||g' $bin > $bin.new &&
 touch -r $bin $bin.new &&
 mv $bin.new $bin
done

# Fix library permissions
find %{buildroot}%{python_sitearch}/PyMca/ -type f -exec chmod 644 {} \;
chmod 755 %{buildroot}%{python_sitearch}/PyMca/*.so

# Get rid of /usr/bin/env in libraries
for lib in %{buildroot}%{python_sitearch}/PyMca/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.GPL README
%{python_sitearch}/PyMca/
%{python_sitearch}/PyMca-%{version}-py*.egg-info/
%{_bindir}/edfviewer
%{_bindir}/elementsinfo
%{_bindir}/mca2edf
%{_bindir}/peakidentifier
%{_bindir}/pymca*
%{_datadir}/applications/PyMca.desktop

%changelog
* Fri Oct 30 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-4
- Keep time stamps also on binfiles.

* Fri Oct 30 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-3
- Added BR: python-devel.
- Added desktop file.

* Fri Oct 30 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-2
- Keep time stamps during sed of libraries.
- Changed BR: python-setuptools-devel to python-setuptools-devel.

* Thu Oct 08 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.3.0-1
- First release.
